MPI_Info_get(3)

NAME
MPI_Info_get - Retrieves the value associated with a key

SYNOPSIS
#include "mpi.h"
int MPI_Info_get(MPI_Info info, char *key, int valuelen, char *value, int *flag)

INPUT PARAMETERS
info
    - info object (handle)
key - key (string)
valuelen
    - length of value argument (integer)

OUTPUT PARAMETERS
value
    - value (string)
flag
    - true if key defined, false if not (boolean)

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

LOCATION
info_get.c